image: maven

build:
    script:
        - mvn package
    artifacts:
        paths:
            - target/authlib-6.0.25.jar

    cache:
        key: ${CI_COMMIT_REF_SLUG}
        paths:
            - target/classes
            - target/generated-sources
            - target/maven-status
        policy: pull-push


